﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing; 


public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        InitializeChart();
    }
    private Steema.TeeChart.Chart ch1;
    
    protected void InitializeChart()
    {
        ch1 = WebChart1.Chart;
        Steema.TeeChart.Themes.LookoutTheme LoTheme = new Steema.TeeChart.Themes.LookoutTheme(ch1);
        LoTheme.Apply();
        Random rnd = new Random();
        for (int i = 0; i < 4; i++)
        {
            new Steema.TeeChart.Styles.Bar(ch1);
            ch1[i].FillSampleValues(4);
            (ch1[i] as Steema.TeeChart.Styles.Bar).MarksOnBar = true;
            (ch1[i] as Steema.TeeChart.Styles.Bar).Marks.Transparent = true;
            (ch1[i] as Steema.TeeChart.Styles.Bar).Marks.Font.Size = 10;
            ch1[i].VertAxis = Steema.TeeChart.Styles.VerticalAxis.Right;
           
            if (i == 0)
            {
                (ch1[i] as Steema.TeeChart.Styles.Bar).MultiBar = Steema.TeeChart.Styles.MultiBars.Stacked;
                (ch1[i] as Steema.TeeChart.Styles.Bar).Color = Color.FromArgb(255, 239, 3);
                
            }
            else if (i == 1)
            {
                //(ch1[i] as Steema.TeeChart.Styles.Bar).MultiBar = Steema.TeeChart.Styles.MultiBars.Stacked;
                (ch1[i] as Steema.TeeChart.Styles.Bar).Color = Color.FromArgb(173, 203, 64);
            }
            else if (i == 2)
            {
                (ch1[i] as Steema.TeeChart.Styles.Bar).Color = Color.FromArgb(135, 16, 56);
            }
            else if (i == 3)
            {
                (ch1[i] as Steema.TeeChart.Styles.Bar).Color = Color.FromArgb(109, 132, 166);
            }

        }
        ch1.Axes.Bottom.AxisPen.Visible = false;
        ch1.Axes.Right.AxisPen.Style = System.Drawing.Drawing2D.DashStyle.Dot;
        ch1.Legend.Alignment = Steema.TeeChart.LegendAlignments.Bottom;
        
    }
}
